<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package white-xmas
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h2 class="page-title"><?php printf( __( 'Search Results for: %s', 'white-xmas' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
			</header><!-- .page-header -->

			<?php 
			while ( have_posts() ) : the_post(); 

				 get_template_part( 'content', 'search' ); 

			 endwhile; 

			the_posts_navigation();

		else : 

			get_template_part( 'content', 'none' ); 

		endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
